Bug 58816 - Man page is contradictory
Summary: Man page is contradictory
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-01-25 03:37 UTC by George Toft
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-25 03:37:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description George Toft 2002-01-25 03:37:39 UTC
Description of Problem:
Man page and actual usage conflict.  First paragraph of the QUERY OPTIONS
section of the man page states:
You may specify the format that package information should be printed in. To do
this,  you  use  the  [--queryformat|-qf] option, followed by the format string.

Paragraph seven of the same section shows that -qf means "Query package owning
<file>."


Version-Release number of selected component (if applicable):
3.0.6

How Reproducible:
very

Steps to Reproduce:
1. rpm  -qa --queryformat "%{NAME}\n"
2. rpm  -qa --qf "%{NAME}\n"

Comment 1 Jeff Johnson 2002-01-26 11:03:43 UTC
Nope, --qf != -qf
	--qf is an alias for --queryformat
	-qf is an alias for --query --file

(Note : --qf is a long option. not a pair of short options).

Yes this is confusing.


Note You need to log in before you can comment on or make changes to this bug.